• Android Q, Eski Uygulamalar İçin Kullanıcıları Uyaracak
22
10
1
1
1
Android Q ile birlikte API seviyesini daha da yukarıda çekecek olan Google, hem eski API seviyesini hedefleyen geliştiricileri, hem de eski API seviyelerini hedefleyen uygulamalar için kullanıcıları uyaracak.

Google, mobil işletim sistemi Android’in sürümlerini yükselttikçe API seviyesi de Android sürümü ile birlikte yükseldi. Örneğin; Android’in en güncel sürümü olan Android 9.0 Pie, 28. seviye API’ya sahip. Google, API seviyesini yükseltmiş olsa da tüm geliştiriciler uygulamalarının API seviyesini Google ile birlikte yükseltmedi. Bu nedenle de Google, gelecek yıl piyasaya sürülecek Android Q ile birlikte geliştiricileri API seviyesi konusunda uyarmaya başlayacak.

Android Q ile birlikte herhangi bir geliştirici Android Marshmallow ya da daha eski bir Android sürümünü hedef aldığında Google, geliştiriciyi eski bir API kullandığı yönünde uyaracak. Bu durum, uygulamaların daha yüksek Android sürümlerini hedeflemeleri konusunda olumlu bir geliştirme olsa da yalnızca sürekli olarak güncellenen ya da yeni geliştirilen uygulamalar bu uygulamadan etkilenecek.

Google, API hedefini yukarıya çekiyor olsa da kullanıcılar, Google’ın hedefine uymayan uygulamaları yüklemeye devam edebilecek. Fakat kullanıcılar, bu uygulamaları her açtıklarında eski bir Android sürümünü hedefleyen bir uygulama açtıklarına dair bir uyarı alacaklar. Bunun temel nedeni ise kullanıcıları korumak. Google, her Android sürümü ile güvenlik ve gizlilik konularında iyileştirmeler yapıyor. Eski Android sürümlerini hedef alan uygulamalar ise bu iyileştirmelerden kaçınmış oluyor.

Kaynak : https://www.neowin.net/news/android-q-will-caution-users-when-launching-apps-not-designed-for-marshmallow-or-later
22
10
1
1
1
Emoji İle Tepki Ver
22
10
1
1
1